Modify

Opened 6 years ago

Closed 5 years ago

Last modified 5 years ago

#10078 closed defect (fixed)

no style reload with r7185

Reported by: bastiK Owned by: bastiK
Priority: normal Milestone: 14.06
Component: Core Version:
Keywords: Cc:

Description

The automatic loading of styles doesn't seem to work.

Build-Date: 2014-05-29 06:02:51
Revision: 7185
Is-Local-Build: true

Identification: JOSM/1.5 (7185 SVN en) Linux Ubuntu 14.04 LTS
Memory Usage: 393 MB / 1763 MB (284 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-1ubuntu1
VM arguments: [-Djosm.home=pref]
Dataset consistency test: No problems found

Plugin: HouseNumberTaggingTool (30416)
Plugin: OpeningHoursEditor (30416)
Plugin: RoadSigns (30438)
Plugin: buildings_tools (30416)
Plugin: log4j (30416)
Plugin: mirrored_download (30436)
Plugin: photo_geotagging (30462)
Plugin: utilsplugin2 (30460)

Attachments (3)

console output 7241.txt (13.2 KB) - added by Klumbumbus 5 years ago.
console output with debug 7242.txt (29.8 KB) - added by Klumbumbus 5 years ago.
reloadtest.mapcss (33 bytes) - added by Klumbumbus 5 years ago.

Download all attachments as: .zip

Change History (19)

comment:1 Changed 6 years ago by Don-vip

Owner: changed from team to bastiK
Status: newneedinfo

It works for me, can you be more specific?

comment:2 Changed 6 years ago by Don-vip

In 7188/josm:

see #9518, see #10078 - add debug message for ignored events

comment:3 Changed 6 years ago by bastiK

Works if I edit the file with vim. But using gedit, it prints this:

DEBUG: Received ENTRY_MODIFY event for unregistered file: /[...]/.goutputstream-7O5RGX

where the directory is correct, but the file name changed.

Last edited 6 years ago by bastiK (previous) (diff)

comment:4 Changed 6 years ago by Don-vip

And no other event for the real file?

comment:5 Changed 6 years ago by bastiK

Resolution: fixed
Status: needinfoclosed

In [7189]: fixed #10078 - no style reload with r7185

We should probably just mark the styles as "dirty" instead of reloading them on each save.

comment:6 Changed 6 years ago by Don-vip

Milestone: 14.06

comment:7 in reply to:  5 Changed 6 years ago by bastiK

Replying to bastiK:

We should probably just mark the styles as "dirty" instead of reloading them on each save.

Never mind, this is actually quite useful if you have the windows side by side. (No need to Alt-Tab to JOSM to see the changes.)

comment:8 Changed 6 years ago by Klumbumbus

Resolution: fixed
Status: closedreopened

Automatic style reload is still not working in 7216. I need to click on "reload from file" in mappaint dialog. mappaint.auto_reload_local_styles is true.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-06-06 01:35:12
Last Changed Author: akks
Revision: 7216
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-06-05 10:59:30 +0200 (Thu, 05 Jun 2014)
Last Changed Rev: 7216

Identification: JOSM/1.5 (7216 en) Windows 7 32-Bit
Memory Usage: 182 MB / 247 MB (50 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.policy=file:C:\Program Files\Java\jre7\lib\security\javaws.policy, -DtrustProxy=true, -Xverify:remote, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=true, -Dsun.awt.warmup=true, -Xbootclasspath/a:C:\Program Files\Java\jre7\lib\javaws.jar;C:\Program Files\Java\jre7\lib\deploy.jar;C:\Program Files\Java\jre7\lib\plugin.jar, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=54308, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=-Djava.util.Arrays.useLegacyMergeSort=true]
Dataset consistency test: No problems found

Plugin: DirectUpload (30416)
Plugin: FastDraw (30416)
Plugin: FixAddresses (30416)
Plugin: HouseNumberTaggingTool (30416)
Plugin: OpeningHoursEditor (30416)
Plugin: PicLayer (30436)
Plugin: RoadSigns (30438)
Plugin: Tracer2 (30416)
Plugin: buildings_tools (30485)
Plugin: download_along (30416)
Plugin: editgpx (30416)
Plugin: imagery_offset_db (30416)
Plugin: measurement (30416)
Plugin: notes (v0.9.2)
Plugin: openstreetbugs (30436)
Plugin: osmarender (30416)
Plugin: public_transport (30416)
Plugin: reltoolbox (30416)
Plugin: reverter (30436)
Plugin: terracer (30416)
Plugin: turnlanes (30416)
Plugin: turnrestrictions (30454)
Plugin: undelete (30416)
Plugin: utilsplugin2 (30460)

comment:9 Changed 5 years ago by Don-vip

Can you please:

  • update first to Java 7u60 and retry. It contains a related bugfix (8014394).
  • tell us what's the URL of the style you try to reload?
  • tell us how do you edit and save your file?
  • run with --debug and attach your console output (see here to enable Java console)

Thanks

Last edited 5 years ago by Don-vip (previous) (diff)

comment:10 in reply to:  9 ; Changed 5 years ago by Klumbumbus

Replying to Don-vip:

  • update first to Java 7u60 and retry. It contains a related bugfix (8014394).

Update didn't help.

  • tell us what's the URL of the style you try to reload?

It's not a URL, it is a local path. (It is a .mapcss file on my harddrive.)

  • tell us how do you edit and save your file?

I edit and safe the mapcss file with notepad++

  • run with --debug and attach your console output (see here to enable Java console)

How do I run "with --debug"?

comment:11 in reply to:  10 ; Changed 5 years ago by Don-vip

Replying to Klumbumbus:

How do I run "with --debug"?

Mmm it's more complicated than I though with WebStart. Simplest way might be to download josm-latest.jar, and create a shortcut with java -jar <download_path>\josm-latest.jar --debug as command. Running it will show a console from which you can copy/paste text.

comment:12 in reply to:  11 ; Changed 5 years ago by Klumbumbus

Replying to Don-vip:

Mmm it's more complicated than I though with WebStart. Simplest way might be to download josm-latest.jar, and create a shortcut with java -jar <download_path>\josm-latest.jar --debug as command. Running it will show a console from which you can copy/paste text.

That doesn't work. Though, I can run josm-latest.jnlp with console (after enabling in java settings). See attachement. Is that what you want or is there an "advanced debug console output"? I did also change and safe the mapcss file and reload it manually in mappaint dialog while the console was running, but this didn't report anything in the console.

Changed 5 years ago by Klumbumbus

Attachment: console output 7241.txt added

comment:13 in reply to:  12 ; Changed 5 years ago by Don-vip

Replying to Klumbumbus:

I did also change and safe the mapcss file and reload it manually in mappaint dialog while the console was running, but this didn't report anything in the console.

Yes because it needs debug level. Can you try to launch this file instead? It should display a lot more messages.

Could you please also attach your mapcss file?

comment:14 in reply to:  13 Changed 5 years ago by Klumbumbus

Replying to Don-vip:

Can you try to launch this file instead? It should display a lot more messages.

Yes this works. See attachments.

Changed 5 years ago by Klumbumbus

Changed 5 years ago by Klumbumbus

Attachment: reloadtest.mapcss added

comment:15 Changed 5 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 7244/josm:

fix #10078 - fix map paint style reloading

comment:16 Changed 5 years ago by Klumbumbus

Thanks! Works perfect now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain bastiK.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.